## svxlink 24.02

=== src/CMakeLists.txt ===
##############################################################################
# SvxLink - A Multi Purpose Voice Services System for Ham Radio Use
# Copyright (C) 2003-2022 Tobias Blomberg / SM0SVX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##############################################################################

##############################################################################
# Project setup
##############################################################################
cmake_minimum_required(VERSION 3.5)
project(svxlink C CXX)
#enable_testing()

# The path to the project global include directory
set(PROJECT_INCLUDE_DIR ${PROJECT_BINARY_DIR}/include)

# Where to put library files
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

# We need to force buildtime RPATH so that dlopen will find plugins in the
# library output directory when running applications within the build tree
# (uninstalled)
set(CMAKE_BUILD_RPATH "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")

# Where to put executable files
set(RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Add project local CMake module directory
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# Optional parts
option(USE_QT "Build Qt applications and libs" ON)
option(BUILD_STATIC_LIBS "Build static libraries in addition to dynamic" OFF)

# The sample rate used internally in SvxLink
if(NOT DEFINED INTERNAL_SAMPLE_RATE)
  set(INTERNAL_SAMPLE_RATE 16000)
endif(NOT DEFINED INTERNAL_SAMPLE_RATE)
add_definitions(-DINTERNAL_SAMPLE_RATE=${INTERNAL_SAMPLE_RATE})

# Set up include directories
include_directories(
  ${PROJECT_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
)

# Warnings should be enabled for GCC. Also turning off the NDEBUG flag
# since that remove asserts.
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_C_FLAGS
    "${CMAKE_C_FLAGS} -Wall -Wstrict-prototypes -Wpointer-arith")
  set(CMAKE_C_FLAGS_RELEASE "-O3")
  set(CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g")

  set(CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS} -Wall -Wpointer-arith")
  set(CMAKE_CXX_FLAGS_RELEASE "-O3")
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")

  option(USE_GPROF "Enable profiling" OFF)
  if(USE_GPROF)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pg")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
  endif(USE_GPROF)
endif()

# Set the default build type to Release
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
      "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)


##############################################################################
# Install targets properties setup
##############################################################################

# Set up standard GNU installation directories
include(GNUInstallDirs)

# Where to install include files
if(NOT DEFINED INCLUDE_INSTALL_DIR)
  #set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include)
  set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR})
endif(NOT DEFINED INCLUDE_INSTALL_DIR)

# Where to install libraries
if(NOT DEFINED LIB_INSTALL_DIR)
  #set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif(NOT DEFINED LIB_INSTALL_DIR)

# The config directory (normally /etc)
if(NOT DEFINED SYSCONF_INSTALL_DIR)
  #set(SYSCONF_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/etc)
  set(SYSCONF_INSTALL_DIR ${CMAKE_INSTALL_FULL_SYSCONFDIR})
endif(NOT DEFINED SYSCONF_INSTALL_DIR)

# Architecture independent files directory (normally /usr/share)
if(NOT DEFINED SHARE_INSTALL_PREFIX)
  #set(SHARE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/share)
  set(SHARE_INSTALL_PREFIX ${CMAKE_INSTALL_FULL_DATADIR})
endif(NOT DEFINED SHARE_INSTALL_PREFIX)

# Local state directory (normally /var)
if(NOT DEFINED LOCAL_STATE_DIR)
  #set(LOCAL_STATE_DIR ${CMAKE_INSTALL_PREFIX}/var)
  set(LOCAL_STATE_DIR ${CMAKE_INSTALL_FULL_LOCALSTATEDIR})
endif(NOT DEFINED LOCAL_STATE_DIR)

# Where to install executables
if(NOT DEFINED BIN_INSTALL_DIR)
  #set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
  set(BIN_INSTALL_DIR ${CMAKE_INSTALL_FULL_BINDIR})
endif(NOT DEFINED BIN_INSTALL_DIR)

# Where to install system executables
if(NOT DEFINED SBIN_INSTALL_DIR)
  #set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
  set(SBIN_INSTALL_DIR ${CMAKE_INSTALL_FULL_SBINDIR})
endif(NOT DEFINED SBIN_INSTALL_DIR)

# Where to install manual pages
if(NOT DEFINED MAN_INSTALL_DIR)
  #set(MAN_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/man)
  set(MAN_INSTALL_DIR ${CMAKE_INSTALL_FULL_MANDIR})
endif(NOT DEFINED MAN_INSTALL_DIR)

# Where to install documentation
if(NOT DEFINED DOC_INSTALL_DIR)
  #set(DOC_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/doc/svxlink)
  set(DOC_INSTALL_DIR ${CMAKE_INSTALL_FULL_DOCDIR})
endif(NOT DEFINED DOC_INSTALL_DIR)

# Where to install startup scripts
if(NOT DEFINED INIT_D_INSTALL_DIR)
  set(INIT_D_INSTALL_DIR ${SYSCONF_INSTALL_DIR}/init.d)
endif(NOT DEFINED INIT_D_INSTALL_DIR)

# Where to install SvxLink config files
if(NOT DEFINED SVX_SYSCONF_INSTALL_DIR)
  set(SVX_SYSCONF_INSTALL_DIR ${SYSCONF_INSTALL_DIR}/svxlink)
endif(NOT DEFINED SVX_SYSCONF_INSTALL_DIR)

# Where to install SvxLink spool files
if(NOT DEFINED SVX_SPOOL_INSTALL_DIR)
  set(SVX_SPOOL_INSTALL_DIR ${LOCAL_STATE_DIR}/spool/svxlink)
endif(NOT DEFINED SVX_SPOOL_INSTALL_DIR)

# Where to install SvxLink architecture independent files
if(NOT DEFINED SVX_SHARE_INSTALL_DIR)
  set(SVX_SHARE_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/svxlink)
endif(NOT DEFINED SVX_SHARE_INSTALL_DIR)

# Where to install include files
if(NOT DEFINED SVX_INCLUDE_INSTALL_DIR)
  set(SVX_INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/svxlink)
endif(NOT DEFINED SVX_INCLUDE_INSTALL_DIR)

# Where to install SvxLink modules
if(NOT DEFINED SVX_MODULE_INSTALL_DIR)
  set(SVX_MODULE_INSTALL_DIR ${LIB_INSTALL_DIR}/svxlink)
endif(NOT DEFINED SVX_MODULE_INSTALL_DIR)

# Where to install SvxLink logic cores
if(NOT DEFINED SVX_LOGIC_CORE_INSTALL_DIR)
  set(SVX_LOGIC_CORE_INSTALL_DIR ${LIB_INSTALL_DIR}/svxlink)
endif(NOT DEFINED SVX_LOGIC_CORE_INSTALL_DIR)

# Clear global variables implemented using internal cache
set(CONFIG_FILES "" CACHE INTERNAL "CONFIG_FILES")
set(FILE_OWNER "" CACHE INTERNAL "FILE_OWNER")

##############################################################################
# Functions
##############################################################################

# Create an include file under the global include directory
function(expinc filename)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${filename}
    ${PROJECT_INCLUDE_DIR}/${filename}
    COPYONLY
    )
endfunction(expinc)

# Create a post install target to change the owner of an installed file.
# If DO_INSTALL_CHOWN is set to YES, the owner will be changed during
# installation.
# If DO_INSTALL_CHOWN is unset, the DESTDIR environment variable will be
# examined. If it is set, no chown operations will be performed since we are
# probably not running as a user with administrative rights. If DESTDIR is
# unset, chown operations are performed.
function(install_chown filename owner)
  if(owner)
    set(FILE_OWNER "${FILE_OWNER}${owner} ${filename};"
	    CACHE INTERNAL "FILE_OWNER")
    set(chown_commands "
      set(CHOWN_TOOL ${CHOWN_TOOL})
      if(NOT CHOWN_TOOL)
        MESSAGE(FATAL_ERROR \"Unable to find the 'chown' utility\")
      endif(NOT CHOWN_TOOL)
      set(full_filename \"\$ENV{DESTDIR}${filename}\")
      message(STATUS \"Setting owner of \${full_filename} to ${owner}...\")
      execute_process(
        COMMAND ${CHOWN_TOOL} ${owner} \"\${full_filename}\"
        RESULT_VARIABLE cmd_result
        )
      if(NOT \${cmd_result} EQUAL 0)
        MESSAGE(FATAL_ERROR
          \"Error while changing owner of file \${full_filename}\"
          )
      endif(NOT \${cmd_result} EQUAL 0)
      ")
    if(DEFINED DO_INSTALL_CHOWN)
      if(DO_INSTALL_CHOWN)
        install(CODE "${chown_commands}")
      endif(DO_INSTALL_CHOWN)
    else(DEFINED DO_INSTALL_CHOWN)
      install(CODE "
        if(\"\$ENV{DESTDIR}\" STREQUAL \"\")
          ${chown_commands}
        endif(\"\$ENV{DESTDIR}\" STREQUAL \"\")
        ")
    endif(DEFINED DO_INSTALL_CHOWN)
  endif(owner)
endfunction(install_chown)

# Create the given directory during installation
#   install_mkdir(directory [owner])
function(install_mkdir dir)
  set(owner ${ARGV1})
  get_filename_component(parent ${dir} PATH)
  file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}${dir})
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}${dir} DESTINATION ${parent})
  install_chown(${dir} "${owner}")
endfunction(install_mkdir)

# Before installing the file, check if it exists. If it does, don't
# overwrite it.
#   install_if_not_exists(source_file destination_directory)
function(install_if_not_exists src dest)
  if(NOT IS_ABSOLUTE "${src}")
    set(src "${CMAKE_CURRENT_SOURCE_DIR}/${src}")
  endif()
  get_filename_component(src_name "${src}" NAME)
  if (NOT IS_ABSOLUTE "${dest}")
    set(dest "${CMAKE_INSTALL_PREFIX}/${dest}")
  endif()
  set(CONFIG_FILES "${CONFIG_FILES}${dest}/${src_name} "
	  CACHE INTERNAL "CONFIG_FILES")
  install(CODE "
    if(NOT EXISTS \"\$ENV{DESTDIR}${dest}/${src_name}\")
      #file(INSTALL \"${src}\" DESTINATION \"${dest}\")
      message(STATUS \"Installing: \$ENV{DESTDIR}${dest}/${src_name}\")
      execute_process(COMMAND \${CMAKE_COMMAND} -E copy \"${src}\"
                      \"\$ENV{DESTDIR}${dest}/${src_name}\"
                      RESULT_VARIABLE copy_result
                      ERROR_VARIABLE error_output)
      if(copy_result)
        message(FATAL_ERROR \${error_output})
      endif()
    else()
      message(STATUS \"Skipping  : \$ENV{DESTDIR}${dest}/${src_name}\")
    endif()
  ")
endfunction(install_if_not_exists)

##############################################################################
# Main execution starts here
##############################################################################

add_subdirectory(include)

configure_file(${CMAKE_SOURCE_DIR}/config.h.in
  ${CMAKE_BINARY_DIR}/config.h
  @ONLY
  )

# Find the Sigc++ library
find_package(SIGC2 REQUIRED)
include_directories(${SIGC2_INCLUDE_DIRS})
add_definitions(${SIGC2_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SIGC2_CXX_FLAGS}")
set(LIBS ${LIBS} ${SIGC2_LIBRARIES})

find_package(LADSPA)
if(LADSPA_FOUND)
  if(DEFINED LADSPA_VERSION_MAJOR)
    include_directories(${LADSPA_INCLUDE_DIRS})
    add_definitions(${LADSPA_DEFINITIONS})
  else()
    message(WARNING
      "Found LADSPA but version could not be resolved. "
      "Will proceed without LADSPA.")
  endif()
else(LADSPA_FOUND)
  message("--   LADSPA is an optional dependency. The build will complete")
  message("--   without it but support for loading LADSPA plugins will")
  message("--   be unavailable.")
endif(LADSPA_FOUND)

# Find the chown utility
include(FindCHOWN)

set(SVXLINK_USER "svxlink" CACHE STRING "Set SvxLink system user")
set(SVXLINK_GROUP "svxlink" CACHE STRING "Set SvxLink system group")
message(STATUS "SvxLink user = ${SVXLINK_USER}")
message(STATUS "SvxLink group = ${SVXLINK_GROUP}")

# Add directories to build
add_subdirectory(doc)
add_subdirectory(async)
add_subdirectory(misc)
add_subdirectory(echolib)
add_subdirectory(locationinfo)

=== src/locationinfo/CMakeLists.txt ===
# The name of the library
set(LIBNAME locationinfo)

# Which include files to export to the global include directory
set(EXPINC LocationInfo.h AprsClient.h AprsTcpClient.h AprsUdpClient.h AprsPty.h)

# What sources to compile for the library
set(LIBSRC LocationInfo.cpp AprsTcpClient.cpp AprsUdpClient.cpp)

# Which other libraries this library depends on
set(LIBS ${LIBS} asynccore)

# Copy exported include files to the global include directory
foreach(incfile ${EXPINC})
  expinc(${incfile})
endforeach(incfile)

# Build only a static library
add_library(${LIBNAME} STATIC ${LIBSRC})
target_link_libraries(${LIBNAME} ${LIBS})

# Install targets
#install(TARGETS ${LIBNAME} DESTINATION ${LIB_INSTALL_DIR})

=== src/qtel/CMakeLists.txt ===
# The program name
set(PROG qtel)

# Program source
set(PRGSRC qtel.cpp MainWindow.cpp ComDialog.cpp Settings.cpp MsgHandler.cpp
	   Vox.cpp EchoLinkDirectoryModel.cpp)

# Header files that need to be run through moc
set(QTHEADERS MainWindow.h ComDialog.h MyMessageBox.h Vox.h
	      SettingsDialog.h EchoLinkDirectoryModel.h)

# Forms that need to be run through uic
set(FORMS MainWindowBase.ui ComDialogBase.ui SettingsDialogBase.ui)            

# Resource files
set(RESOURCES qtel.qrc)

# Libraries
set(LIBS ${LIBS} echolib asyncqt asyncaudio asynccore svxmisc)

# Find the GSM codec library and include directory
find_package(GSM REQUIRED)
include_directories(${GSM_INCLUDE_DIR})
set(LIBS ${LIBS} ${GSM_LIBRARY})

# Find Qt5
find_package(Qt5Core QUIET)
if (Qt5Core_FOUND)
  find_package(Qt5Gui REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS}
                      ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS})
  set(LIBS ${LIBS} ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES}
           ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES})

  # Generate targets for moc, uic and rcc
  QT5_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
  QT5_WRAP_UI(FORMS_HEADERS ${FORMS})
  QT5_ADD_RESOURCES(RESOURCES_RCC ${RESOURCES})
endif()

# If not Qt5 was found, try Qt4
if (NOT Qt5Core_FOUND)
  find_package(Qt4 4.2 REQUIRED QtCore QtGui QtNetwork)
  include(${QT_USE_FILE})
  set(LIBS ${LIBS} ${QT_LIBRARIES})

  # Generate targets for moc, uic and rcc
  QT4_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
  QT4_WRAP_UI(FORMS_HEADERS ${FORMS})
  QT4_ADD_RESOURCES(RESOURCES_RCC ${RESOURCES})
endif()

# We also need to add the current build directory to the include search path
# to find automatically generated h-files.
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Compile the application
add_executable(${PROG} ${PRGSRC} ${QTHEADERS_MOC} ${FORMS_HEADERS}
  ${RESOURCES_RCC} ${VERSION_DEPENDS}
  )
target_link_libraries(${PROG} ${LIBS})
set_target_properties(${PROG} PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${RUNTIME_OUTPUT_DIRECTORY}  
  )

# Install targets
install(TARGETS ${PROG} DESTINATION ${BIN_INSTALL_DIR})
install(FILES connect.raw DESTINATION ${SHARE_INSTALL_PREFIX}/qtel/sounds)
install(FILES qtel.desktop DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
install(FILES images/qtel.png DESTINATION ${SHARE_INSTALL_PREFIX}/icons/hicolor/128x128/apps)
install(FILES org.svxlink.Qtel.metainfo.xml DESTINATION ${SHARE_INSTALL_PREFIX}/metainfo)

# Build the translations subdirectory
add_subdirectory(translations)

=== src/async/core/CMakeLists.txt ===
set(LIBNAME asynccore)

set(EXPINC AsyncApplication.h AsyncFdWatch.h AsyncTimer.h AsyncIpAddress.h
           AsyncTcpClient.h AsyncDnsLookup.h AsyncUdpSocket.h AsyncTcpServer.h
           AsyncTcpConnection.h AsyncConfig.h AsyncSerial.h AsyncFileReader.h
           AsyncAtTimer.h AsyncExec.h AsyncPty.h AsyncPtyStreamBuf.h AsyncMsg.h
           AsyncFramedTcpConnection.h AsyncTcpClientBase.h AsyncTcpServerBase.h
           AsyncHttpServerConnection.h AsyncFactory.h AsyncDnsResourceRecord.h
           AsyncTcpPrioClientBase.h AsyncTcpPrioClient.h AsyncStateMachine.h
           AsyncPlugin.h)

set(LIBSRC AsyncApplication.cpp AsyncFdWatch.cpp AsyncTimer.cpp
           AsyncIpAddress.cpp AsyncDnsLookup.cpp AsyncTcpClientBase.cpp
           AsyncUdpSocket.cpp AsyncTcpServerBase.cpp
           AsyncTcpConnection.cpp AsyncConfig.cpp AsyncSerial.cpp
           AsyncSerialDevice.cpp AsyncFileReader.cpp
           AsyncAtTimer.cpp AsyncExec.cpp AsyncPty.cpp AsyncPtyStreamBuf.cpp
           AsyncFramedTcpConnection.cpp AsyncHttpServerConnection.cpp
           AsyncTcpPrioClientBase.cpp AsyncPlugin.cpp)

# Copy exported include files to the global include directory
foreach(incfile ${EXPINC})
  expinc(${incfile})
endforeach(incfile)

# Find pthreads
find_package(Threads)
set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})

# Set up additional defines
# FIXME: Do we need this?
add_definitions(-D_REENTRANT)

# Find the dl library - only for Linux, not required for FreeBSD
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  find_package(DL REQUIRED)
  set(LIBS ${LIBS} ${DL_LIBRARIES})
  include_directories(${DL_INCLUDES})
endif()

# Build a shared library and a static library if configured
add_library(${LIBNAME} SHARED ${LIBSRC})
set_target_properties(${LIBNAME} PROPERTIES VERSION ${VER_LIBASYNC}
                      SOVERSION ${VER_LIBASYNC_SOVERSION})
target_link_libraries(${LIBNAME} ${LIBS})
if (BUILD_STATIC_LIBS)
  add_library(${LIBNAME}_static STATIC ${LIBSRC})
  set_target_properties(${LIBNAME}_static PROPERTIES OUTPUT_NAME ${LIBNAME})
  target_link_libraries(${LIBNAME}_static ${LIBS})
endif(BUILD_STATIC_LIBS)

# Install files
install(TARGETS ${LIBNAME} DESTINATION ${LIB_INSTALL_DIR})
if (BUILD_STATIC_LIBS)
  install(TARGETS ${LIBNAME}_static DESTINATION ${LIB_INSTALL_DIR})
endif(BUILD_STATIC_LIBS)
install(FILES ${EXPINC} DESTINATION ${SVX_INCLUDE_INSTALL_DIR})

=== src/async/demo/CMakeLists.txt ===
set(CPPPROGS AsyncAudioIO_demo AsyncDnsLookup_demo AsyncFdWatch_demo
             AsyncTimer_demo AsyncTcpClient_demo AsyncUdpSocket_demo
             AsyncCppApplication_demo AsyncTcpServer_demo AsyncConfig_demo
             AsyncSerial_demo AsyncAtTimer_demo AsyncExec_demo
             AsyncPtyStreamBuf_demo AsyncMsg_demo AsyncFramedTcpServer_demo
             AsyncFramedTcpClient_demo AsyncAudioSelector_demo
             AsyncAudioFsf_demo AsyncHttpServer_demo AsyncFactory_demo
             AsyncAudioContainer_demo AsyncTcpPrioClient_demo
             AsyncStateMachine_demo AsyncPlugin_demo
             )

set(QTPROGS AsyncQtApplication_demo)

if(LADSPA_FOUND)
  set(CPPPROGS ${CPPPROGS} AsyncAudioLADSPAPlugin_demo)
endif(LADSPA_FOUND)


# Build all demo applications
foreach(prog ${CPPPROGS})
  add_executable(${prog} ${prog}.cpp)
  target_link_libraries(${prog} ${LIBS} asynccpp asyncaudio asynccore)
endforeach(prog)

if(USE_QT)
  # Find Qt5
  find_package(Qt5Core QUIET)
  if (Qt5Core_FOUND)
    find_package(Qt5Gui REQUIRED)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Network REQUIRED)
    include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS}
                        ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS})
    set(LIBS ${LIBS} ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES}
             ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES})
    QT5_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
  endif()

  # If not Qt5 was found, try Qt4
  if (NOT Qt5Core_FOUND)
    find_package(Qt4 4.2 REQUIRED QtCore QtGui QtNetwork)
    include(${QT_USE_FILE})
    set(LIBS ${LIBS} ${QT_LIBRARIES})
    QT4_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
  endif()

  foreach(prog ${QTPROGS})
    add_executable(${prog} ${prog}.cpp)
    target_link_libraries(${prog} ${LIBS} asyncaudio asynccore asyncqt)
  endforeach(prog)
endif(USE_QT)

# Build the demo plugin used by the AsyncPlugin_demo application
add_library(DemoPlugin MODULE DemoPlugin.cpp)
set_target_properties(DemoPlugin PROPERTIES PREFIX "")
set_property(TARGET DemoPlugin PROPERTY NO_SONAME 1)
#target_link_libraries(DemoPlugin ${LIBS})

=== src/async/qt/CMakeLists.txt ===
set(LIBNAME asyncqt)

set(EXPINC AsyncQtApplication.h)

set(LIBSRC AsyncQtApplication.cpp AsyncQtDnsLookupWorker.cpp)

set(QTHEADERS AsyncQtApplication.h AsyncQtTimer.h AsyncQtDnsLookupWorker.h)

set(LIBS ${LIBS} asynccore)

# Copy exported include files to the global include directory
foreach(incfile ${EXPINC})
  expinc(${incfile})
endforeach(incfile)

# Find Qt5
find_package(Qt5Core QUIET)
if (Qt5Core_FOUND)
  message("-- Found Qt5 version ${Qt5Core_VERSION_STRING}")
  find_package(Qt5Gui REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS}
                      ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS})
  set(LIBS ${LIBS} ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES}
           ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES})
  QT5_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
endif()

# If not Qt5 was found, try Qt4
if (NOT Qt5Core_FOUND)
  find_package(Qt4 4.2 REQUIRED QtCore QtGui QtNetwork)
  include(${QT_USE_FILE})
  set(LIBS ${LIBS} ${QT_LIBRARIES})
  QT4_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
endif()

# Build a shared library and a static library if configured
add_library(${LIBNAME} SHARED ${LIBSRC} ${QTHEADERS_MOC})
set_target_properties(${LIBNAME} PROPERTIES VERSION ${VER_LIBASYNC}
                      SOVERSION ${VER_LIBASYNC_SOVERSION})
target_link_libraries(${LIBNAME} ${LIBS})
if (BUILD_STATIC_LIBS)
  add_library(${LIBNAME}_static STATIC ${LIBSRC})
  set_target_properties(${LIBNAME}_static PROPERTIES OUTPUT_NAME ${LIBNAME})
  target_link_libraries(${LIBNAME}_static ${LIBS})
endif(BUILD_STATIC_LIBS)

# Install files
install(TARGETS ${LIBNAME} DESTINATION ${LIB_INSTALL_DIR})
if (BUILD_STATIC_LIBS)
  install(TARGETS ${LIBNAME}_static DESTINATION ${LIB_INSTALL_DIR})
endif(BUILD_STATIC_LIBS)
install(FILES ${EXPINC} DESTINATION ${SVX_INCLUDE_INSTALL_DIR})

=== src/svxlink/modules/CMakeLists.txt ===
#add_subdirectory(template)
add_subdirectory(help)
add_subdirectory(parrot)
add_subdirectory(echolink)
add_subdirectory(tcl)
add_subdirectory(tcl_voice_mail)
add_subdirectory(dtmf_repeater)
add_subdirectory(metarinfo)
add_subdirectory(propagation_monitor)
add_subdirectory(selcallenc)
add_subdirectory(frn)
add_subdirectory(trx)

=== src/svxlink/reflector/CMakeLists.txt ===
# Find the popt library
find_package(Popt REQUIRED)
set(LIBS ${LIBS} ${POPT_LIBRARIES})
include_directories(${POPT_INCLUDE_DIRS})
add_definitions(${POPT_DEFINITIONS})

# Find the GCrypt library
find_package(GCrypt REQUIRED)
set(LIBS ${LIBS} ${GCRYPT_LIBRARIES})
include_directories(${GCRYPT_INCLUDE_DIRS})
add_definitions(${GCRYPT_DEFINITIONS})

# Find jsoncpp library
#find_package(jsoncpp REQUIRED)
#get_target_property(JSONCPP_INC_PATH jsoncpp_lib INTERFACE_INCLUDE_DIRECTORIES)
#include_directories(${JSONCPP_INC_PATH})
#set(LIBS ${LIBS} jsoncpp_lib)
pkg_check_modules (JSONCPP REQUIRED jsoncpp)
include_directories(${JSONCPP_INCLUDE_DIRS})
set(LIBS ${LIBS} ${JSONCPP_LIBRARIES})

# Add project libraries
set(LIBS asynccpp asyncaudio asynccore svxmisc ${LIBS})

# Build the executable
add_executable(svxreflector
  svxreflector.cpp Reflector.cpp ReflectorClient.cpp TGHandler.cpp
)
target_link_libraries(svxreflector ${LIBS})
set_target_properties(svxreflector PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${RUNTIME_OUTPUT_DIRECTORY}
)

# Install targets
install(TARGETS svxreflector DESTINATION ${BIN_INSTALL_DIR})
install_if_not_exists(svxreflector.conf ${SVX_SYSCONF_INSTALL_DIR})
install(PROGRAMS svxreflector-status DESTINATION ${BIN_INSTALL_DIR})

=== src/svxlink/svxlink/CMakeLists.txt ===
# C++ source files needed to build SvxLink
set(SVXLINK_SRCS
  svxlink.cpp MsgHandler.cpp Module.cpp Logic.cpp EventHandler.cpp
  LinkManager.cpp CmdParser.cpp QsoRecorder.cpp DtmfDigitHandler.cpp
  )

# TCL event handler files to install in the events.d subdirectory
set(SVXLINK_TCL_EVENT_FILES
  RepeaterLogic.tcl SimplexLogic.tcl ReflectorLogic.tcl Module.tcl Logic.tcl
  CW.tcl SelCall.tcl locale.tcl
  )

# Logic core plugins to build
set(SVXLINK_LOGIC_CORES
  Dummy Simplex Repeater Reflector
  )

# Find the popt library
find_package(Popt REQUIRED)
set(LIBS ${LIBS} ${POPT_LIBRARIES})
include_directories(${POPT_INCLUDE_DIRS})
add_definitions(${POPT_DEFINITIONS})

# Find the GSM codec library
find_package(GSM REQUIRED)
set(LIBS ${LIBS} ${GSM_LIBRARY})
include_directories(${GSM_INCLUDE_DIR})

# Find the TCL library
if(TCL_LIBRARY)
  set(TCL_LIBRARY_CACHED TRUE)
endif(TCL_LIBRARY)
find_package(TCL QUIET)
if(TCL_FOUND)
  if (NOT TCL_LIBRARY_CACHED)
    message("-- Found TCL: ${TCL_LIBRARY}")
  endif(NOT TCL_LIBRARY_CACHED)
else(TCL_FOUND)
  message(FATAL_ERROR "-- Could NOT find the TCL scripting language")
endif(TCL_FOUND)
set(LIBS ${LIBS} ${TCL_LIBRARY})
include_directories(${TCL_INCLUDE_PATH})

# Find the GCrypt library
find_package(GCrypt REQUIRED)
set(LIBS ${LIBS} ${GCRYPT_LIBRARIES})
include_directories(${GCRYPT_INCLUDE_DIRS})
add_definitions(${GCRYPT_DEFINITIONS})

# Find the dl library - only for Linux, not required for FreeBSD
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  find_package(DL REQUIRED)
  set(LIBS ${LIBS} ${DL_LIBRARIES})
  include_directories(${DL_INCLUDES})
endif()

# Find libcurl libraries
FIND_PACKAGE(CURL)
if(CURL_FOUND)
   set(LIBS ${LIBS} ${CURL_LIBRARIES})
   set(LIBS ${LIBS} ${CURL_LIBRARY})
   set(CMAKE_REQUIRED_LIBRARIES "${CURL_LIBRARIES}")
   INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
 else(CURL_FOUND)
   message(FATAL_ERROR "Could not find the CURL library and development files.")
endif(CURL_FOUND)

# Find jsoncpp library
#find_package(jsoncpp REQUIRED)
#get_target_property(JSONCPP_INC_PATH jsoncpp_lib INTERFACE_INCLUDE_DIRECTORIES)
#include_directories(${JSONCPP_INC_PATH})
#set(LIBS ${LIBS} jsoncpp_lib)
pkg_check_modules (JSONCPP REQUIRED jsoncpp)
include_directories(${JSONCPP_INCLUDE_DIRS})
set(LIBS ${LIBS} ${JSONCPP_LIBRARIES})

# Add project libraries
set(LIBS trx locationinfo asynccpp asyncaudio asynccore svxmisc ${LIBS})

# Build the executable
add_executable(svxlink ${SVXLINK_SRCS} ${VERSION_DEPENDS})
target_link_libraries(svxlink ${LIBS})
set_target_properties(svxlink PROPERTIES
  ENABLE_EXPORTS on
  RUNTIME_OUTPUT_DIRECTORY ${RUNTIME_OUTPUT_DIRECTORY}
)

# Build logic plugins
foreach(logic_name ${SVXLINK_LOGIC_CORES})
  add_library(${logic_name}Logic MODULE ${logic_name}Logic.cpp)
  set_target_properties(${logic_name}Logic PROPERTIES PREFIX "")
  set_property(TARGET ${logic_name}Logic PROPERTY NO_SONAME 1)
  #target_link_libraries(${logic_name}Logic ${LIBS})
endforeach()

# Generate config file with correct paths
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/svxlink.conf.in
  ${CMAKE_CURRENT_BINARY_DIR}/svxlink.conf
  @ONLY
  )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gpio.conf.in
  ${CMAKE_CURRENT_BINARY_DIR}/gpio.conf
  @ONLY
  )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/svxlink_gpio_up.in
	${RUNTIME_OUTPUT_DIRECTORY}/svxlink_gpio_up
        @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/svxlink_gpio_down.in
	${RUNTIME_OUTPUT_DIRECTORY}/svxlink_gpio_down
        @ONLY)

# Install targets
install(TARGETS svxlink DESTINATION ${BIN_INSTALL_DIR})
install_mkdir(${SVX_SPOOL_INSTALL_DIR}/qso_recorder ${SVXLINK_USER}:${SVXLINK_GROUP})
install_mkdir(${SVX_SHARE_INSTALL_DIR}/sounds)
install_if_not_exists(${CMAKE_CURRENT_BINARY_DIR}/svxlink.conf
  ${SVX_SYSCONF_INSTALL_DIR}
  )
install_if_not_exists(${CMAKE_CURRENT_BINARY_DIR}/gpio.conf
  ${SVX_SYSCONF_INSTALL_DIR}
  )
install_if_not_exists(node_info.json ${SVX_SYSCONF_INSTALL_DIR})
install(FILES events.tcl DESTINATION ${SVX_SHARE_INSTALL_DIR})
install(FILES ${SVXLINK_TCL_EVENT_FILES}
  DESTINATION ${SVX_SHARE_INSTALL_DIR}/events.d
  )
install(PROGRAMS ${RUNTIME_OUTPUT_DIRECTORY}/svxlink_gpio_up
  DESTINATION ${SBIN_INSTALL_DIR}
  )
install(PROGRAMS ${RUNTIME_OUTPUT_DIRECTORY}/svxlink_gpio_down
  DESTINATION ${SBIN_INSTALL_DIR}
  )
foreach(logic_name ${SVXLINK_LOGIC_CORES})
  install(TARGETS ${logic_name}Logic DESTINATION ${SVX_LOGIC_CORE_INSTALL_DIR})
endforeach()

# Include contributed parts
add_subdirectory(contrib)

=== debian/changelog ===
svxlink (24.02-5) unstable; urgency=medium

  * Revert dh_installsysusers change, was not tested enough.
  * Pre-Depend on adduser instead. (Closes: #1104571)

 -- Christoph Berg <myon@debian.org>  Wed, 14 May 2025 20:47:33 +0000

svxlink (24.02-4) unstable; urgency=medium

  * Drop adduser from preinst scripts, use dh_installsysusers instead.
    (Closes: #1104571)

 -- Christoph Berg <myon@debian.org>  Fri, 02 May 2025 22:56:20 +0200

svxlink (24.02-3) unstable; urgency=medium

  * Disable units from starting at boottime to avoid taking sole ownership of
    sound devices
    * Closes: #1075840

 -- Dave Hibberd <hibby@debian.org>  Fri, 12 Jul 2024 19:41:30 +0100

svxlink (24.02-2) unstable; urgency=medium

  * B-D on libgpiod based on user feedback
  * Remove references to lsb-base as it is obsolete
  * Bump Standards to 4.7.0, no changes
  * Bump debian/watch to ver 4
  * I'll take over as uploader to satisfy lintian

 -- Dave Hibberd <hibby@debian.org>  Tue, 18 Jun 2024 21:27:44 +0100

svxlink (24.02-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.
  * Refer to common license file for CC0-1.0.
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Christoph Berg ]
  * New upstream version 24.02.
  * B-D on libjsoncpp-dev.
  * B-D on dh-sequence-movetousr.

 -- Christoph Berg <myon@debian.org>  Sun, 19 May 2024 16:25:31 +0200

=== debian/control ===
Source: svxlink
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Dave Hibberd <hibby@debian.org>
Build-Depends-Indep: librsvg2-bin
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-sequence-movetousr,
 cmake,
 libcurl4-gnutls-dev,
 libjsoncpp-dev,
 libsigc++-2.0-dev (>= 2.2.10-0.2),
 libpopt-dev,
 libgcrypt-dev,
 libgsm1-dev,
 libspeex-dev,
 libopus-dev,
 libasound2-dev,
 librtlsdr-dev,
 libgpiod-dev,
 qtbase5-dev,
 qttools5-dev,
 tk-dev,
 doxygen
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/svxlink.git -b debian/master
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/svxlink
Homepage: https://www.svxlink.org

Package: svxlink-server
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
 adduser,
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 svxlink-gpio (= ${source:Version}),
Recommends:
 remotetrx (= ${binary:Version}),
 svxlink-calibration-tools (= ${binary:Version})
Description: Voice-over-IP server for ham radio operators
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. It can act as a repeater controller
 or operate on a simplex channel. Based on a modular design, the server
 can be configured to provide voice mail and echo (talkback) service.
 It is normally used together with the 'remotetrx' package, which allows
 the remote control of a radio transceiver.
 .
 For a client program implementing the EchoLink® protocol, please
 have a look at the 'qtel' package.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: svxreflector
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
 adduser,
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Conference server for SvxLink amateur radio servers
 The SvxReflector can interconnect multiple SvxLink nodes. Audio sent to
 the reflector is broadcast to all other nodes. Only one talker is
 allowed at a time.
 .
 For a client program implementing the EchoLink® protocol, please
 have a look at the 'qtel' package.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: remotetrx
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
 adduser,
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 svxlink-gpio (= ${source:Version}),
Recommends:
 svxlink-server (= ${binary:Version}),
 svxlink-calibration-tools (= ${binary:Version})
Description: Remote controller for radio transceivers
 The RemoteTrx server facilitates remote control of amateur radio
 transceivers via the EchoLink® protocol. It is normally
 used together with the 'svxlink-server' package, which allows
 for nearly world-wide access from the Internet.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 The RemoteTrx server provides remote control of a connected radio
 transceiver. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: svxlink-gpio
Architecture: all
Depends: ${misc:Depends}
Description: GPIO control scripts SvxLink amateur radio server
 This package contains the GPIO control scripts for general purpose I/O
 for the SvxLink suite. SvxLink provides access to a ham radio
 transceiver via the EchoLink® protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 By connecting into a server connected to a repeater, an operator
 can call into a local radio net via the Internet while traveling
 out of the area. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: svxlink-calibration-tools
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: svxlink-server (<< 17.12.1-1)
Replaces: svxlink-server (<< 17.12.1-1)
Description: Calibration tools for SvxLink amateur radio suite
 SvxLink facilitates remote control of amateur radio transceivers via the
 EchoLink® protocol. This package included the calibration tools.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 The RemoteTrx server provides remote control of a connected radio
 transceiver. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: qtel
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtel-icons
Description: Graphical client for the EchoLink® protocol
 Qtel is a graphical client program for the EchoLink® ham radio
 protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: qtel-icons
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Icons for graphical client for the EchoLink® protocol
 Icons for Qtel, a graphical client program for the EchoLink®
 ham radio protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccpp1.6t64
Provides: ${t64:Provides}
Replaces: libasynccpp1.6
Breaks: libasynccpp1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncCpp library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncCpp
 library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccpp-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasynccpp1.6t64 (= ${binary:Version})
Description: AsyncCpp library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncCpp library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncaudio1.6t64
Provides: ${t64:Provides}
Replaces: libasyncaudio1.6
Breaks: libasyncaudio1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncAudio library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncAudio
 library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncaudio-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasyncaudio1.6t64 (= ${binary:Version})
Description: AsyncAudio library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncAudio library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncqt1.6t64
Provides: ${t64:Provides}
Replaces: libasyncqt1.6
Breaks: libasyncqt1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncQt library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains the AsyncQt
 library for event-driven Qt applications using the Async classes.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncqt-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasyncqt1.6t64 (= ${binary:Version})
Description: AsyncQt library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncQt library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccore1.6t64
Provides: ${t64:Provides}
Replaces: libasynccore1.6
Breaks: libasynccore1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncCore library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncCore
 library for event-driven applications that use Async classes.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccore-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasynccore1.6t64 (= ${binary:Version})
Description: AsyncCore library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncCore library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libecholib1.3t64
Provides: ${t64:Provides}
Replaces: libecholib1.3
Breaks: libecholib1.3 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EchoLib library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains EchoLib, a
 library for EchoLink communications.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libecholib-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libecholib1.3t64 (= ${binary:Version})
Description: EchoLib library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains the static
 version and the header files for the EchoLib library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

=== debian/watch ===
version=4

# Svxlink on GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/svxlink-$1\.tar\.gz/ \
  https://github.com/sm0svx/svxlink/tags .*/(\d+(?:\.\d+)+)\.tar\.gz
